Subject: Re: linux-next: Tree for September 2

From: Joerg Roedel <[email-masked]>
Date: Wed, 3 Sep 2008 09:06:10 +0200

On Wed, Sep 03, 2008 at 09:30:11AM +0900, KAMEZAWA Hiroyuki wrote:
> On Tue, 2 Sep 2008 19:02:07 +1000
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > Changes since next-20080901:
> > 
> > The x86 tree gained a conflict against the dwmw2 tree for which I
> > reverted a commit from the dwmw2 tree.
> > 
> > The sound tree lost its conflict.
> > 
> > The block tree gained a conflict against the device-mapper tree but lost
> > its build fix patch.
> > 
> > The ttydev tree lost a conflict but gained a build fix patch.
> > 
> > I have also applied the following patches for known problems:
> > 
> > 	ftrace: protect the definition of ftrace_release
> > 	revert BUILD_BUG_ON change
> > 	Revert "debug: add notifier chain debugging"
> > 	debug: add notifier chain debugging (different version)
> > 	sparc: qlogicpti fallout from sbus removal
> > 	powerpc: make sure all kernel test is before _etext
> > 
> From patch (not tested yet), it seems dma_alloc_coherent() on x86_64
> is still broken as I reported to August 29's linux-next.
> It easily goes down to swiotlb routine, which uses __GFP_DMA, and show
> "page allocation failure" at boot. Old code used __GFP_DMA32 as much as
> possible, I think.

Hmm, SWIOTLB unconditionally allocates from the DMA zone. Thats bad but
should be easy to change. I prepare a patch.

> Just a notification.

Thanks for pointing that out.

Joerg

-- 
           |           AMD Saxony Limited Liability Company & Co. KG
 Operating |         Wilschdorfer Landstr. 101, 01109 Dresden, Germany
 System    |                  Register Court Dresden: HRA 4896
 Research  |              General Partner authorized to represent:
 Center    |             AMD Saxony LLC (Wilmington, Delaware, US)
           | General Manager of AMD Saxony LLC: Dr. Hans-R. Deppe, Thomas McCoy